unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls;

type
  TForm1 = class(TForm)
    PaintBox1: TPaintBox;
    procedure PaintBox1Paint(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.PaintBox1Paint(Sender: TObject);
var
  al6th, N, X : Word;
begin
  with Sender as TPaintBox, Canvas do
    begin
      Brush.Color := Color;
      FillRect(ClientRect);
      with ClientRect do
        Rectangle(Left, Top, Right, Bottom);
      al6th := PixelsPerInch div 16;
      N := 0; X := 0;
      while X < Width do
        begin
          MoveTo(X,1);
          LineTo(X, 6*(1+(Byte(N MOD 2=0) +
            Byte(N MOD 4=0) +
            Byte(N MOD 8=0) +
            Byte(N MOD 16=0))));
          Canvas.Font := Font;
          if (N > 0) and (N mod 16=0) then
            TextOut(PenPos.X+3, PenPos.Y-16,
               IntToStr(N div 16));
          N := N + 1;
          X := X + al6th;
        end;
    end;
end;

end.
