unit Star;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    PaintBox1: TPaintBox;
    PaintBox2: TPaintBox;
    Label1: TLabel;
    Label2: TLabel;
    procedure PaintBox2Paint(Sender: TObject);
    procedure PaintBox1Paint(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.PaintBox1Paint(Sender: TObject);
begin
with Sender as TPaintBox, Canvas do
  begin
    Brush.Color := Color;
    Pen.Color := Color;
    Polygon([Point(Width div 2, 0),
      Point(Width div 5, Height),
      Point(Width, 2*(Height div 5)),
      Point(0, 2*(Height div 5)),
      Point(4*(Width div 5), Height)]);
  end;
end;

procedure TForm1.PaintBox2Paint(Sender: TObject);
begin
with Sender as TPaintBox, Canvas do
  begin
    Brush.Color := Color;
    Pen.Color := Color;
    SetPolyFillMode(Handle, WINDING);
    Polygon([Point(Width div 2, 0),
      Point(Width div 5, Height),
      Point(Width, 2*(Height div 5)),
      Point(0, 2*(Height div 5)),
      Point(4*(Width div 5), Height)]);
  end;
end;

end.
