unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls;

type
  TForm1 = class(TForm)
    A: TShape;
    B: TShape;
    C: TShape;
    D: TShape;
    E: TShape;
    L: TShape;
    M: TShape;
    R: TShape;
    procedure BDragDrop(Sender, Source: TObject; X, Y: Integer);
    procedure BDragOver(Sender, Source: TObject; X, Y: Integer;
      State: TDragState; var Accept: Boolean);

  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}



procedure TForm1.BDragOver(Sender, Source: TObject; X, Y: Integer;
  State: TDragState; var Accept: Boolean);
begin
Accept := ((Sender as TShape).Hint[2] = 'X') and
  ((Source as TShape).Width < (Sender as TShape).Width);
end;

procedure TForm1.BDragDrop(Sender, Source: TObject; X, Y: Integer);
var Moved, Still : TShape;
begin
  Moved := Source as TShape;
  Still := Sender as TShape;
  Moved.Top := Still.Top - Moved.Height + 1;
  Moved.Left := Still.Left + (Still.Width div 2) - (Moved.Width div 2);
  With FindComponent(Moved.Hint[1]) as TShape do
    begin
      if Name <= 'E' then DragMode := dmAutomatic;
      Hint := Hint[1] + 'X';
    end;
  Moved.Hint := Still.Name + 'X';
  Still.Hint := Still.Hint[1] + Moved.Name;
  Still.DragMode := dmManual;
  if (L.Hint = 'XX') and (M.Hint = 'XX') then
    Caption := ' !';
end;

end.
