unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls;

type
  TForm1 = class(TForm)
    PaintBox1: TPaintBox;
    procedure PaintBox1Paint(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.PaintBox1Paint(Sender: TObject);
var
  R : TRect;
  N : Word;
Const
  Rainbow : Array[0..4] of TColor = (clRed, clYellow, clLime, clBlue, clFuchsia);
begin
  with Sender as TPaintBox, Canvas do
    begin
      R := ClientRect;
      R.Bottom := 2*R.Bottom;
      Pen.Width := 8;
      Pen.Style := psInsideFrame;
      for N := 0 to 4 do
        begin
          Pen.Color := Rainbow[N];
          with R do
            Ellipse(Left, Top, Right, Bottom);
          InflateRect(R, -8, -8);
        end;
    end;
end;

end.
